Bug 28390 - Transaction timestamps should be part of the transaction grouping row instead of repeated for each breakdown row
Summary: Transaction timestamps should be part of the transaction grouping row instead...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Martin Renvoize
QA Contact: Testopia
URL:
Keywords:
Depends on: 28127
Blocks: 28389
  Show dependency treegraph
 
Reported: 2021-05-19 13:42 UTC by Martin Renvoize
Modified: 2022-06-06 20:25 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
21.11.00


Attachments
Bug 28390: Move timestamp into grouping row (6.06 KB, patch)
2021-05-19 13:57 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 28390: Move timestamp into grouping row (6.12 KB, patch)
2021-05-19 16:32 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 28390: Move timestamp into grouping row (6.20 KB, patch)
2021-08-03 13:36 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 28390: Move timestamp into grouping row (7.30 KB, patch)
2021-08-05 10:43 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 28390: Move timestamp into grouping row (7.35 KB, patch)
2021-08-06 17:49 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2021-05-19 13:42:12 UTC
The rowGrouped table for listing transactions taken against a cash register had 'timestamp' added for display in bug 28127.

This his great, however; 

* The timestamp added is at the individual line level and not the grouped transaction level. This means that for a payment we're actually displaying the times at which each debt was created and not the time the payment was made.  This is OK for POS sales, as they will always match the Payment time (though it does look odd having duplicates).. but for payments made against a patrons account that can also appear on these pages it could get quite confusing and misleading.

I propose that we use the payment line timestamp instead and move it to the grouping header row.
Comment 1 Martin Renvoize 2021-05-19 13:57:49 UTC
Created attachment 121179 [details] [review]
Bug 28390: Move timestamp into grouping row

This patch moves the timestamp that was getting repeated for each
transaction breakdown row into the group header row.

Test plan
1/ Add a series of transactions to to a register (via Point of Sale
or/and Borrower Accounts)
2/ View the transactions (and past transactions tables) on the Register
details page
3/ Apply the patch and compare the display
Comment 2 Lucas Gass 2021-05-19 16:32:41 UTC
Created attachment 121187 [details] [review]
Bug 28390: Move timestamp into grouping row

This patch moves the timestamp that was getting repeated for each
transaction breakdown row into the group header row.

Test plan
1/ Add a series of transactions to to a register (via Point of Sale
or/and Borrower Accounts)
2/ View the transactions (and past transactions tables) on the Register
details page
3/ Apply the patch and compare the display

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 3 Lucas Gass 2021-05-19 16:33:14 UTC
Thanks Martin. Looks nicer, functions better.
Comment 4 Lucas Gass 2021-07-27 15:08:58 UTC
Martin,

Any chance for a rebase of this one?
Comment 5 Martin Renvoize 2021-08-03 13:36:20 UTC
Created attachment 123422 [details] [review]
Bug 28390: Move timestamp into grouping row

This patch moves the timestamp that was getting repeated for each
transaction breakdown row into the group header row.

Test plan
1/ Add a series of transactions to to a register (via Point of Sale
or/and Borrower Accounts)
2/ View the transactions (and past transactions tables) on the Register
details page
3/ Apply the patch and compare the display

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 6 Martin Renvoize 2021-08-05 10:43:07 UTC
Created attachment 123478 [details] [review]
Bug 28390: Move timestamp into grouping row

This patch moves the timestamp that was getting repeated for each
transaction breakdown row into the group header row.

Test plan
1/ Add a series of transactions to to a register (via Point of Sale
or/and Borrower Accounts)
2/ View the transactions (and past transactions tables) on the Register
details page
3/ Apply the patch and compare the display

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 7 Martin Renvoize 2021-08-05 10:44:20 UTC
Another minor rebase.
Comment 8 Nick Clemens 2021-08-06 17:49:57 UTC
Created attachment 123585 [details] [review]
Bug 28390: Move timestamp into grouping row

This patch moves the timestamp that was getting repeated for each
transaction breakdown row into the group header row.

Test plan
1/ Add a series of transactions to to a register (via Point of Sale
or/and Borrower Accounts)
2/ View the transactions (and past transactions tables) on the Register
details page
3/ Apply the patch and compare the display

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 9 Jonathan Druart 2021-08-18 13:36:22 UTC
Pushed to master for 21.11, thanks to everybody involved!